Image meta information¶
Meta information about an image.
This endpoint is templates. Valid values for size are :
Size |
Description |
|---|---|
small |
max 64 x 64 |
medium |
max 358 x 358 |
large |
max 498 x 498 |
xlarge |
max 726 x 726 |
Fields¶
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
dimensions.width |
int |
– |
no |
no |
no |
|
dimensions.height |
int |
– |
no |
no |
no |
dimensions.width
The width of the image.
dimensions.height
The height of the image.
Reference¶
GET /v1/images/{mediaId}/{size}/meta
Get the meta information of an image.
Examples¶
Retrieving the meta information of a medium sized image associated with an advertisement.
Request :
GET /v1/images/a64976eb-4adb-4af6-aa0f-3756740d8556/medium/meta HTTP/1.1 Host: api.marktplaats.nlResponse :
HTTP/1.1 200 OK Content-Type: application/json { "_links": { "self": { "href": "/v1/images/a64976eb-4adb-4af6-aa0f-3756740d8556/medium" }, }, "dimensions": { "width": 640, "height": 480 } }